@use "colors";

body {
  counter-reset: step-title;
}

.grid {
  display: grid;
  grid-template-columns:repeat(auto-fill, minmax(300px, 1fr));
  grid-gap: 1.5rem;
  justify-items: center;
  justify-content: space-evenly;
  margin-bottom: 2rem;
}

.grid-4 {
  grid-template-columns:repeat(auto-fill, minmax(250px, 1fr));
}

.prior-notice {

  > * {
    margin-bottom: 2rem;
  }

  ul {
    line-height: 2rem;
    font-style: italic;
  }

  .bold {
    font-weight: bold;
  }
}

.detailed-radio-select {
  .detailed-radio-select-label-text {
    text-transform: uppercase;
  }

  &:hover, &:active {
    transform: scale(1.02);
  }

  input, label {
    cursor: pointer;
  }

  > label::after {
    margin: 1rem;
  }
}

.field-block {
  margin: 0;

  label, input {
    display: block;
    margin: 0 0 .5rem 0;
    width: 100%;
  }
}

.step-title {
  margin-top: 4em !important;
  counter-increment: step-title;
  color: colors.$light-blue-anct;
  font-size: 1.5rem;
  font-weight: normal;
  text-transform: uppercase;

  $line-heigh: 2rem;

  &, &::before {
    line-height: $line-heigh;
  }

  &::before {
    background-color: colors.$red-aidants;
    border-radius: 50%;
    content: counter(step-title);
    color: white;
    display: inline-block;
    font-size: calc($line-heigh / 2);
    font-weight: bolder;
    height: $line-heigh;
    margin-right: 1em;
    text-align: center;
    vertical-align: bottom;
    width: $line-heigh;
  }
}

.mandate-translation-title {
  color: colors.$blue-aidants;
  font-weight: bold;
  font-size: 1rem;
  margin: 0 0 1rem 0;
  text-transform: uppercase;
}

.submit-button {
  margin: 0 0 0 3rem;
}

.mandate-translation-section {
  .shadowed {
    background: #FFF;
    position: relative;

    p:last-of-type {
      margin: 0 0 -2rem 0;
    }

    .button-box {
      transform: translateY(3rem);
    }
  }
}

.detailed-radio-select.mandat-demarche,
.detailed-radio-select.mandat-duree {
  .shadowed {
    background-color: #FFF;
  }

  input:checked {
    ~ .shadowed {
      box-shadow: 10px 10px 0 colors.$blue-aidants;

      .detailed-radio-select-label-text-and-description {
        background-color: colors.$off-yellow-aidants;
      }
    }
  }
}

.detailed-radio-select.mandat-duree .detailed-radio-select-label-text-and-description {
  padding-right: 40px;
  flex-direction: column;
}

.mandate-is-remote-field {
  display: flex;

  input {
    cursor: pointer;
    margin: 1rem 0 1rem 1rem;
  }

  label {
    cursor: pointer;
    flex-grow: 10;
    padding: 1rem;
  }
}

.detailed-radio-select.mandat-demarche {
  .detailed-radio-select-label {
    flex-direction: column;
    padding: 0;

    * {
      margin-right: 0;
    }
  }

  .detailed-radio-select-logo {
    max-height: 6rem;
  }

  .detailed-radio-select-label-text-and-description {
    flex-direction: column;
    flex-grow: 1;
    padding: 1.5rem;

    .detailed-radio-select-description {
      flex-direction: column;
      flex-grow: 1;

      .scope {
        flex-grow: 1;
      }
    }
  }

  .scope {
    margin-bottom: 3rem;
  }

  .scope, .scope-examples {
    display: block;
  }

  .scope-examples {
    font-style: italic;

    .example {
      color: colors.$blue-aidants;
      display: inline-block;
      margin: .225rem .225rem 0 0;
      padding: .225rem;
      background-color: colors.$light-grey-aidants;
    }
  }
}

.mandate-remote-method-section {
  .remote-consent-legend {
    color: colors.$blue-aidants;
    font-weight: bold;
    font-size: large;
    margin: 2rem 0 1rem 0;
    text-transform: uppercase;
  }

  .detailed-radio-select {
    padding: 1rem;

    &:hover, &:active {
      transform: none;
    }

    > input[type="checkbox"],
    > input[type="radio"] {
      & ~ label::after {
        align-self: center;
        height: 32px;
        margin: 0;
        position: relative;
        width: 32px;
      }

      &:not(:checked) ~ label::after {
        content: url("/static/images/icons/remote-methode-unchecked.svg");
      }

      &:checked ~ label::after {
        content: url("/static/images/icons/remote-methode-checked.svg");
      }
    }

    .detailed-radio-select-label {
      display: flex;
      flex-direction: row;


      .detailed-radio-select-label-text-and-description {
        padding-right: 3.5rem;

        .detailed-radio-select-text {
          color: colors.$blue-aidants;
          font-weight: bold;
        }

        .detailed-radio-select-description {
          margin-top: .5rem;
        }
      }
    }
  }

  .related-fields {
    padding: 1rem;
    margin: 0 3.5rem 0 4rem;
  }
}
